RK-J - Task #3126

Handle OpenAl API error codes
07/13/2023 06:31 AM - Ram Kordale

Status: Closed Start date: 07/13/2023
Priority: Normal Due date: 07/24/2023
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 8.50 hours
Description

Extension side

Whatever is the error, we should give a message "Unfortunately, ChatGPT Plus API Servers are very busy. Please retry later".
Server side

If error is 401 or 429, please log a critical level message; else log a info level message.

Message = "OpenAl error: <return error code and message from API call>"

Subtasks:

Task # 3127: BE: Return the 500 error in the response of /answer api, if receive any er... Closed
Task # 3142: Ext-0.94.5: Handle 500 error code in the /answer api. Closed
Task # 3143: FE-0.94.5: Handle 500 error code from the /answer api in '/chatgptplus' page. Closed
History

#1 - 07/13/2023 09:19 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Venmuhilan B

#2 - 07/17/2023 05:29 AM - Venmuhilan B

- Status changed from New to In Progress

#3 - 07/17/2023 05:29 AM - Venmuhilan B

- Status changed from In Progress to Resolved

#4 - 07/17/2023 05:29 AM - Venmuhilan B

- Status changed from Resolved to Review

#5 - 07/17/2023 05:32 AM - Venmuhilan B

- Status changed from Review to Reopened

#6 - 07/17/2023 05:32 AM - Venmuhilan B

- Status changed from Reopened to In Progress

#7 - 07/17/2023 07:09 AM - Venmuhilan B

- Status changed from In Progress to Resolved

#8 - 07/17/2023 07:10 AM - Venmuhilan B

- Status changed from Resolved to Review

#9 - 07/26/2023 09:13 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#10 - 07/26/2023 11:39 AM - Ayush Khandelwal

- Status changed from Review to Feedback
#11 - 09/19/2023 04:35 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale
Added

#12 - 09/19/2023 07:33 AM - Ram Kordale
- Status changed from Feedback to Closed
